Subject: List of discovered substitute servers not refreshed?

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Jun 2021 12:08:04 +0200

Hi!

I’ve turned on discovery and guix-daemon discovered the laptop next to
me (yay!).  However, more than 10mn after said laptop has been turned
off, ‘guix substitute’ is still trying to connect to it.

The disconnected laptop is still listed in /var/guix/discover/publish.

It also shows up in ‘avahi-browse _guix_publish._tcp -r’, but it fails
to resolve:

--8<---------------cut here---------------start------------->8---
Failed to resolve service 'guix-publish-XYZ' of type '_guix_publish._tcp' in domain 'local': Timeout reached
--8<---------------cut here---------------end--------------->8---

Perhaps (guix scripts discover) should not just wait for
‘remove-service’ events but should also attempt to resolve them?

Or maybe the problem is that the TTL of the published entry is too long?
I cannot find how to change that in the Guile-Avahi API though.

Ludo’.